let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  perl = "/nix/store/p7k810475bbk0v9wi418sz8jh3dzlpiz-perl-5.22.2/bin/perl";
  shell = "/nix/store/gabjbkwga2dhhp2wzyaxl83r8hjjfc37-bash-4.3-p48/bin/bash";
  coreutils = "/nix/store/lcwdbh37ha51z86c62mm65vbcfc990dd-coreutils-8.25/bin";
  bzip2 = "/nix/store/hia247wa09mffcyp66412zg8gliqyw91-bzip2-1.0.6.0.1-bin/bin/bzip2";
  gzip = "/nix/store/c5y9w08xkiz6kvnscpjv3205gyr6iybz-gzip-1.8/bin/gzip";
  xz = "/nix/store/5cpnwwnasypdi7p0av6qbaf52y99gmdz-xz-5.2.2-bin/bin/xz";
  tar = "/nix/store/cj0zinnakxj5zd3fw8050l0ng5mlrwm5-gnutar-1.29/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/lcwdbh37ha51z86c62mm65vbcfc990dd-coreutils-8.25/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/4ssykr786d0wp7y6m4xd4qwqs4nrry1z-nix-1.11.7/bin";
  nixPrefix = "/nix/store/4ssykr786d0wp7y6m4xd4qwqs4nrry1z-nix-1.11.7";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
